* {
  margin: 0;
  padding: 0;
}

body {
  margin: 0;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: linear-gradient(to bottom, #dcdcdc 50%, #e9e9e9 50%);
  font-family: sans-serif;
}

/*--------------------
  Main 
--------------------*/
main {
  position: relative;
  width: 300px;
  height: max-content;
  min-height: 300px;
  background-color: #f7f7f7;
  border-radius: 30px;
  box-shadow: 0 30px 50px #5553;
  padding: 30px;
  box-sizing: border-box;
}

/*--------------------
  Search Bar 
--------------------*/
main form {
  border: 1px solid #5553;
  display: flex;
  justify-content: space-between;
  border-radius: 30px;
}

main form input,
main form button {
  border: none;
  background-color: transparent;
  outline: none;
  padding-block: 10px;
}

main form input {
  flex: 1;
  padding-inline-start: 16px;
}

main form button {
  padding-inline-start: 10px;
  padding-inline-end: 16px;
}

main form i {
  opacity: 0.7;
}

/*--------------------
  Weather Information 
--------------------*/
main .result {
  padding-top: 20px;
  text-align: center;
}

main .result .name {
  font-weight: bold;
  font-size: large;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

main .temperature img {
  width: 150px;
  filter: drop-shadow(0 10px 50px #000);
}

main .temperature figcaption {
  font-size: 3em;
}

main .description {
  padding: 10px 0px 30px;
}

main ul {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
}

main li {
  background-color: #f78a55;
  color: #fff;
  border-radius: 10px;
  padding: 20px 10px;
  background-image: linear-gradient(to bottom, transparent 50%, #0003 50%);
  font-weight: bold;
  font-size: small;
}

main li i {
  font-size: 2em;
  display: block !important;
  margin: 20px 0;
}

main li:nth-child(2) {
  background-color: #b56291;
}

main li:nth-child(3) {
  background-color: #48567b;
}

/*--------------------
  Error Animation 
--------------------*/
main.error {
  animation: errorEffect 0.3s linear 1;
}

@keyframes errorEffect {
  0% {
    transform: translate(10px, 5px);
  }
  25% {
    transform: translate(-5px, 0);
  }
  50% {
    transform: translate(8px, 2px);
  }
  75% {
    transform: translate(-2px, 5px);
  }
  100% {
    transform: translate(0, 0);
  }
}

/*--------------------
  Loading Animation 
--------------------*/
#loading {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: White;
  border-radius: 30px;
  display: none;
}

#loading::before {
  position: absolute;
  content: "";
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 40px;
  width: 40px;
  border: 4px solid black;
  border-block-start-color: transparent;
  border-radius: 50%;
  animation: loading 0.5s linear infinite;
}

@keyframes loading {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(1turn);
  }
}

#loading.visible {
  display: block;
}
